Skip to main content

Get WatchList Names

Request to be POSTed to uri : /NorenWClientAPI/MWList

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/MWList' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab67cdf7d4d350db03c9334bef7be8fc802fc6d5bc9342f4ac60d60d8c9930e2' \
--data 'jData={"uid":"DEMO"}

Response Details :

Response data will be in json format with below fields.

Json FieldsPossible valueDescription
statOk or Not_OkMWList success or failure indication.
valuesWatch List names as a json array of strings.
request_timeIt will be present only in a successful response.
emsgThis will be present only in case of errors or No WatchLists are set yet.

Sample Success Response :

{
"request_time": "12:34:52 21-05-2020",
"values": [
"default",
"WL"
],
"stat": "Ok"
}

Sample Failure Response :

{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid Session Key"
}